<template>
  <div>
    <h2 id="page-heading" data-cy="Fisiometria2Heading">
      <span v-text="$t('gatewayApp.diademaFisiometria2.home.title')" id="fisiometria-2-heading">Fisiometria 2 S</span>
      <div class="d-flex justify-content-end">
        <button class="btn btn-info mr-2" v-on:click="handleSyncList" :disabled="isFetching">
          <font-awesome-icon icon="sync" :spin="isFetching"></font-awesome-icon>
          <span v-text="$t('gatewayApp.diademaFisiometria2.home.refreshListLabel')">Refresh List</span>
        </button>
        <router-link :to="{ name: 'Fisiometria2Create' }" custom v-slot="{ navigate }">
          <button
            @click="navigate"
            id="jh-create-entity"
            data-cy="entityCreateButton"
            class="btn btn-primary jh-create-entity create-fisiometria-2"
          >
            <font-awesome-icon icon="plus"></font-awesome-icon>
            <span v-text="$t('gatewayApp.diademaFisiometria2.home.createLabel')"> Create a new Fisiometria 2 </span>
          </button>
        </router-link>
      </div>
    </h2>
    <br />
    <div class="alert alert-warning" v-if="!isFetching && fisiometria2s && fisiometria2s.length === 0">
      <span v-text="$t('gatewayApp.diademaFisiometria2.home.notFound')">No fisiometria2s found</span>
    </div>
    <div class="table-responsive" v-if="fisiometria2s && fisiometria2s.length > 0">
      <table class="table table-striped" aria-describedby="fisiometria2s">
        <thead>
          <tr>
            <th scope="row" v-on:click="changeOrder('id')">
              <span v-text="$t('global.field.id')">ID</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'id'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('timeInstant')">
              <span v-text="$t('gatewayApp.diademaFisiometria2.timeInstant')">Time Instant</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'timeInstant'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('meditacion')">
              <span v-text="$t('gatewayApp.diademaFisiometria2.meditacion')">Meditacion</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'meditacion'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('attention')">
              <span v-text="$t('gatewayApp.diademaFisiometria2.attention')">Attention</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'attention'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('delta')">
              <span v-text="$t('gatewayApp.diademaFisiometria2.delta')">Delta</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'delta'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('theta')">
              <span v-text="$t('gatewayApp.diademaFisiometria2.theta')">Theta</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'theta'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('lowAlpha')">
              <span v-text="$t('gatewayApp.diademaFisiometria2.lowAlpha')">Low Alpha</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'lowAlpha'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('highAlpha')">
              <span v-text="$t('gatewayApp.diademaFisiometria2.highAlpha')">High Alpha</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'highAlpha'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('lowBeta')">
              <span v-text="$t('gatewayApp.diademaFisiometria2.lowBeta')">Low Beta</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'lowBeta'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('highBeta')">
              <span v-text="$t('gatewayApp.diademaFisiometria2.highBeta')">High Beta</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'highBeta'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('lowGamma')">
              <span v-text="$t('gatewayApp.diademaFisiometria2.lowGamma')">Low Gamma</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'lowGamma'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('midGamma')">
              <span v-text="$t('gatewayApp.diademaFisiometria2.midGamma')">Mid Gamma</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'midGamma'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('pulso')">
              <span v-text="$t('gatewayApp.diademaFisiometria2.pulso')">Pulso</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'pulso'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('respiracion')">
              <span v-text="$t('gatewayApp.diademaFisiometria2.respiracion')">Respiracion</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'respiracion'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('acelerometro')">
              <span v-text="$t('gatewayApp.diademaFisiometria2.acelerometro')">Acelerometro</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'acelerometro'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('estadoFuncional')">
              <span v-text="$t('gatewayApp.diademaFisiometria2.estadoFuncional')">Estado Funcional</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'estadoFuncional'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('user.login')">
              <span v-text="$t('gatewayApp.diademaFisiometria2.user')">User</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'user.login'"></jhi-sort-indicator>
            </th>
            <th scope="row"></th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="fisiometria2 in fisiometria2s" :key="fisiometria2.id" data-cy="entityTable">
            <td>
              <router-link :to="{ name: 'Fisiometria2View', params: { fisiometria2Id: fisiometria2.id } }">{{
                fisiometria2.id
              }}</router-link>
            </td>
            <td>{{ fisiometria2.timeInstant ? $d(Date.parse(fisiometria2.timeInstant), 'short') : '' }}</td>
            <td>{{ fisiometria2.meditacion }}</td>
            <td>{{ fisiometria2.attention }}</td>
            <td>{{ fisiometria2.delta }}</td>
            <td>{{ fisiometria2.theta }}</td>
            <td>{{ fisiometria2.lowAlpha }}</td>
            <td>{{ fisiometria2.highAlpha }}</td>
            <td>{{ fisiometria2.lowBeta }}</td>
            <td>{{ fisiometria2.highBeta }}</td>
            <td>{{ fisiometria2.lowGamma }}</td>
            <td>{{ fisiometria2.midGamma }}</td>
            <td>{{ fisiometria2.pulso }}</td>
            <td>{{ fisiometria2.respiracion }}</td>
            <td>{{ fisiometria2.acelerometro }}</td>
            <td>{{ fisiometria2.estadoFuncional }}</td>
            <td>
              {{ fisiometria2.user ? fisiometria2.user.login : '' }}
            </td>
            <td class="text-right">
              <div class="btn-group">
                <router-link :to="{ name: 'Fisiometria2View', params: { fisiometria2Id: fisiometria2.id } }" custom v-slot="{ navigate }">
                  <button @click="navigate" class="btn btn-info btn-sm details" data-cy="entityDetailsButton">
                    <font-awesome-icon icon="eye"></font-awesome-icon>
                    <span class="d-none d-md-inline" v-text="$t('entity.action.view')">View</span>
                  </button>
                </router-link>
                <router-link :to="{ name: 'Fisiometria2Edit', params: { fisiometria2Id: fisiometria2.id } }" custom v-slot="{ navigate }">
                  <button @click="navigate" class="btn btn-primary btn-sm edit" data-cy="entityEditButton">
                    <font-awesome-icon icon="pencil-alt"></font-awesome-icon>
                    <span class="d-none d-md-inline" v-text="$t('entity.action.edit')">Edit</span>
                  </button>
                </router-link>
                <b-button
                  v-on:click="prepareRemove(fisiometria2)"
                  variant="danger"
                  class="btn btn-sm"
                  data-cy="entityDeleteButton"
                  v-b-modal.removeEntity
                >
                  <font-awesome-icon icon="times"></font-awesome-icon>
                  <span class="d-none d-md-inline" v-text="$t('entity.action.delete')">Delete</span>
                </b-button>
              </div>
            </td>
          </tr>
        </tbody>
        <infinite-loading
          ref="infiniteLoading"
          v-if="totalItems > itemsPerPage"
          :identifier="infiniteId"
          slot="append"
          @infinite="loadMore"
          force-use-infinite-wrapper=".el-table__body-wrapper"
          :distance="20"
        >
        </infinite-loading>
      </table>
    </div>
    <b-modal ref="removeEntity" id="removeEntity">
      <span slot="modal-title"
        ><span
          id="gatewayApp.diademaFisiometria2.delete.question"
          data-cy="fisiometria2DeleteDialogHeading"
          v-text="$t('entity.delete.title')"
          >Confirm delete operation</span
        ></span
      >
      <div class="modal-body">
        <p id="jhi-delete-fisiometria2-heading" v-text="$t('gatewayApp.diademaFisiometria2.delete.question', { id: removeId })">
          Are you sure you want to delete this Fisiometria 2?
        </p>
      </div>
      <div slot="modal-footer">
        <button type="button" class="btn btn-secondary" v-text="$t('entity.action.cancel')" v-on:click="closeDialog()">Cancel</button>
        <button
          type="button"
          class="btn btn-primary"
          id="jhi-confirm-delete-fisiometria2"
          data-cy="entityConfirmDeleteButton"
          v-text="$t('entity.action.delete')"
          v-on:click="removeFisiometria2()"
        >
          Delete
        </button>
      </div>
    </b-modal>
  </div>
</template>

<script lang="ts" src="./fisiometria-2.component.ts"></script>
